Bug 537451 - Review Request: eclipse-emf-query - Specify and execute queries against EMF models
Review Request: eclipse-emf-query - Specify and execute queries against EMF m...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On: 536684
Blocks: 537454
  Show dependency treegraph
 
Reported: 2009-11-13 12:12 EST by Mat Booth
Modified: 2009-12-01 16:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-01 16:23:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lkundrak: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mat Booth 2009-11-13 12:12:00 EST
This package depends eclipse-mdt-ocl, whose review request is bug #536684.

Spec URL: http://mbooth.fedorapeople.org/reviews/eclipse-emf-query.spec
SRPM URL: http://mbooth.fedorapeople.org/reviews/eclipse-emf-query-1.3.0-1.fc12.src.rpm

Description:
The query component facilitates the process of search and retrieval of model
elements of interest in a flexible yet controlled and structured manner.
Provides API support for the basic EObject based Condition objects that are
used to formulate queries for EMF models.

 * The IEObjectSource interface provides the search scope elements to be used
   in a query.
 * The SELECT class implements a template-function that does the iteration over
   model elements and applies the search condition on each; it collects the
   resulting elements into a QueryResultSet object and returns it to the caller
 * The FROM class represents the elements to search. It is responsible of
   providing an appropriate iterator for the elements in the search space.
 * The WHERE class applies the search conditions over the elements in the
   search set.
 * The UPDATE class passes the elements who satisfy the search condition to a
   caller-supplied modification function. It collects the modified elements
   into a QueryResultSet object and returns it to the caller.
 * The QueryResultSet class represents the set of elements returned by a given
   query.
 * The EObjectCondition class is the abstract parent of all conditions that
   deal with model-elements (i.e., EObjects). It incorporates the services of a
   PruneHandler in order to answers whether or not to prune the element tree at
   a specific element and thus ignore its children.
 * The ConditionPolicy class is used to allow the user to decide how to apply a
   given condition on a collection of a model-element EAttributes or
   EReferences values. Supports both the: exists (ANY) and for-all (ALL)
   semantics.
 * The EObjectStructuralFeatureValueCondition class is the parent class for
   conditions that are responsible for checking the values held in model-
   elements attributes or references.
Comment 1 Lubomir Rintel 2009-11-21 14:27:46 EST
* Package name and version are in accordance with packaging guidelines
* SPEC file clean, legible and well-commented
* License tag correct, license packaged as %doc
* Filelist okay, for directories it uses and does now it depends on packages that provide them
* Provides/Require list ok
(mock build did not finish yet)

Objections:

1.) Why do you check stuff out from CVS?

2.) Please don't pretty-format the Description, please use complete sentences. It does not always look well in package management front-ends.

3.) RPMLint:

eclipse-emf-query.noarch: W: spurious-executable-perm /usr/share/doc/eclipse-emf-query-1.3.0/epl-v10.html
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

eclipse-emf-query.noarch: W: spurious-executable-perm /usr/share/doc/eclipse-emf-query-1.3.0/notice.html
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.
Comment 2 Lubomir Rintel 2009-11-21 18:50:47 EST
* built fine in mock
Comment 3 Mat Booth 2009-11-24 06:42:10 EST
(In reply to comment #1)
> * Package name and version are in accordance with packaging guidelines
> * SPEC file clean, legible and well-commented
> * License tag correct, license packaged as %doc
> * Filelist okay, for directories it uses and does now it depends on packages
> that provide them
> * Provides/Require list ok
> (mock build did not finish yet)
> 
> Objections:
> 
> 1.) Why do you check stuff out from CVS?
> 

This should be satisfactorily answered in bug #536683.

> 2.) Please don't pretty-format the Description, please use complete sentences.
> It does not always look well in package management front-ends.
> 
> 3.) RPMLint:
> 
> eclipse-emf-query.noarch: W: spurious-executable-perm
> /usr/share/doc/eclipse-emf-query-1.3.0/epl-v10.html
> The file is installed with executable permissions, but was identified as one
> that probably should not be executable.  Verify if the executable bits are
> desired, and remove if not.
> 
> eclipse-emf-query.noarch: W: spurious-executable-perm
> /usr/share/doc/eclipse-emf-query-1.3.0/notice.html
> The file is installed with executable permissions, but was identified as one
> that probably should not be executable.  Verify if the executable bits are
> desired, and remove if not.  

Done and done:

Spec URL: http://mbooth.fedorapeople.org/reviews/eclipse-emf-query.spec
SRPM URL:
http://mbooth.fedorapeople.org/reviews/eclipse-emf-query-1.3.0-2.fc10.src.rpm
Comment 4 Lubomir Rintel 2009-11-27 07:14:44 EST
Thank you!

APPROVED
Comment 5 Mat Booth 2009-11-27 09:06:29 EST
(In reply to comment #4)
> Thank you!
> 
> APPROVED  

Thanks.

New Package CVS Request
=======================
Package Name: eclipse-emf-query
Short Description: Specify and execute queries against EMF models
Owners: mbooth
Branches: F-12
Comment 6 Jason Tibbitts 2009-12-01 13:46:17 EST
CVS done.
Comment 7 Mat Booth 2009-12-01 16:23:09 EST
Built successfully in rawhide, closing.

Note You need to log in before you can comment on or make changes to this bug.